summaryrefslogtreecommitdiffstats
path: root/debian/tdb-tools.prerm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 16:49:38 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 16:49:38 +0000
commit65fbc59ab338590dff1fc4b64efadc8c8dd1f225 (patch)
treeb8679db8dd0d560db01ed978e5243cdfe1acdb3f /debian/tdb-tools.prerm
parentAdding upstream version 1.4.10. (diff)
downloadtdb-65fbc59ab338590dff1fc4b64efadc8c8dd1f225.tar.xz
tdb-65fbc59ab338590dff1fc4b64efadc8c8dd1f225.zip
Adding debian version 1.4.10-1.debian/1.4.10-1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tdb-tools.prerm')
-rw-r--r--debian/tdb-tools.prerm24
1 files changed, 24 insertions, 0 deletions
diff --git a/debian/tdb-tools.prerm b/debian/tdb-tools.prerm
new file mode 100644
index 0000000..13743f5
--- /dev/null
+++ b/debian/tdb-tools.prerm
@@ -0,0 +1,24 @@
+#! /bin/sh
+# prerm script for tdb-tools
+#
+# see: dh_installdeb(1)
+
+set -e
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ update-alternatives --remove tdbbackup /usr/bin/tdbbackup.tdbtools
+ ;;
+ failed-upgrade)
+ ;;
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
+